| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ob::PointCloudFilter Class Reference

The PointCloudFilter class is a subclass of Filter that generates point clouds. More...

`#include <Filter.hpp>`

Inheritance diagram for ob::PointCloudFilter:

## Public Member Functions
| PointCloudFilter ()
void | setCreatePointFormat (OBFormat type)
| Set the point cloud type parameters.
void | setCameraParam (OBCameraParam param)
| Set the camera parameters.
void | setFrameAlignState (bool state)
| Set the frame alignment state that will be input to generate point cloud.
void | setPositionDataScaled (float scale)
| Set the point cloud coordinate data zoom factor.
void | setColorDataNormalization (bool state)
| Set point cloud color data normalization.
void | setCoordinateSystem (OBCoordinateSystemType type)
| Set the point cloud coordinate system.
Public Member Functions inherited from ob::Filter
| Filter ()
| Filter (std::shared_ptr< FilterImpl > impl)
virtual | ~Filter ()=default
virtual void | reset ()
| ReSet the filter, freeing the internal cache, stopping the processing thread, and clearing the pending buffer frame when asynchronous processing is used.
void | enable (bool enable)
| enable the filter
bool | isEnabled ()
| Return Enable State.
virtual std::shared_ptr< Frame > | process (std::shared_ptr< Frame > frame)
| Processes a frame synchronously.
virtual void | pushFrame (std::shared_ptr< Frame > frame)
| Pushes the pending frame into the cache for asynchronous processing.
virtual void | setCallBack (FilterCallback callback)
| Set the callback function for asynchronous processing.
virtual const char * | type ()
| Get the type of filter.
template<typename T >
bool | is ()
| Check if the runtime type of the filter object is compatible with a given type.
template<typename T >
std::shared_ptr< T > | as ()
| Convert the filter object to a target type.

## Additional Inherited Members
Protected Attributes inherited from ob::Filter
std::shared_ptr< FilterImpl > | impl_
std::string | type_

## Detailed Description

The PointCloudFilter class is a subclass of Filter that generates point clouds.

Definition at line 112 of file Filter.hpp.

## Constructor & Destructor Documentation

## ◆ PointCloudFilter()

ob::PointCloudFilter::PointCloudFilter | ( |  | ) |

## Member Function Documentation

## ◆ setCreatePointFormat()

void ob::PointCloudFilter::setCreatePointFormat | ( | OBFormat | type | ) |

Set the point cloud type parameters.

Parameters

  type | The point cloud type: depth point cloud or RGBD point cloud.

## ◆ setCameraParam()

void ob::PointCloudFilter::setCameraParam | ( | OBCameraParam | param | ) |

Set the camera parameters.

Parameters

  param | The camera internal and external parameters.

## ◆ setFrameAlignState()

void ob::PointCloudFilter::setFrameAlignState | ( | bool | state | ) |

Set the frame alignment state that will be input to generate point cloud.

Parameters

  state | The alignment status. True: enable alignment; False: disable alignment.

## ◆ setPositionDataScaled()

void ob::PointCloudFilter::setPositionDataScaled | ( | float | scale | ) |

Set the point cloud coordinate data zoom factor.

Attention
  Calling this function to set the scale will change the point coordinate scaling factor of the output point cloud frame: posScale = posScale / scale. The point coordinate scaling factor for the output point cloud frame can be obtained via PointsFrame::getPositionValueScale function.

Parameters

  scale | The zoom factor.

## ◆ setColorDataNormalization()

void ob::PointCloudFilter::setColorDataNormalization | ( | bool | state | ) |

Set point cloud color data normalization.

Parameters

  state | Whether normalization is required.

## ◆ setCoordinateSystem()

void ob::PointCloudFilter::setCoordinateSystem | ( | OBCoordinateSystemType | type | ) |

Set the point cloud coordinate system.

Parameters

  type | The coordinate system type.

The documentation for this class was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/hpp/Filter.hpp